# Generated from comet_backup_ruby_sdk-1.7.0.gem by gem2rpm -*- rpm-spec -*-
%global gem_name comet_backup_ruby_sdk

Name: rubygem-%{gem_name}
Version: 1.7.0
Release: 1%{?dist}
Summary: Comet Backup - Comet Server API SDK
License: MIT
URL: https://github.com/CometBackup/comet-ruby-sdk
Source0: https://rubygems.org/gems/%{gem_name}-%{version}.gem
BuildRequires: ruby(release)
BuildRequires: rubygems-devel
BuildRequires: ruby
# BuildRequires: rubygem(minitest) >= 5.14
# BuildRequires: rubygem(minitest) < 6
# BuildRequires: rubygem(rubocop) >= 0.88
# BuildRequires: rubygem(rubocop) < 1
BuildArch: noarch

%description
The Comet Server can be controlled via an API over HTTP / HTTPS.


%package doc
Summary: Documentation for %{name}
Requires: %{name} = %{version}-%{release}
BuildArch: noarch

%description doc
Documentation for %{name}.

%prep
%setup -q -n %{gem_name}-%{version}

%build
# Create the gem as gem install only works on a gem file
gem build ../%{gem_name}-%{version}.gemspec

# %%gem_install compiles any C extensions and installs the gem into ./%%gem_dir
# by default, so that we can move it into the buildroot in %%install
%gem_install

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/



%check
pushd .%{gem_instdir}
# ruby -e 'Dir.glob "./test/**/*_test.rb", &method(:require)'
popd

%files
%dir %{gem_instdir}
%exclude %{gem_instdir}/.rubocop.yml
%license %{gem_instdir}/LICENSE
%{gem_instdir}/RELEASING.md
%{gem_libdir}
%exclude %{gem_cache}
%{gem_spec}

%files doc
%doc %{gem_docdir}
%doc %{gem_instdir}/CHANGELOG.md
%{gem_instdir}/Gemfile
%{gem_instdir}/Gemfile.lock
%doc %{gem_instdir}/README.md
%{gem_instdir}/Rakefile
%{gem_instdir}/comet_backup_ruby_sdk.gemspec

%changelog
* Mon Sep 13 2021 mockbuilder - 1.7.0-1
- Initial package
